<form class="form form-inline">

    <div style="float: right;">
        <!-- wybór faktury -->
        <select class="form-control" ng-model="ctrl.invoice.no" ng-options="invoice.no as invoice.no+(invoice.status==1?' *':'') for invoice in ctrl.invoices" ng-change="ctrl.load()"></select>
    </div>

    <h1>Faktura VAT <input type="text" class="form-control" ng-model="ctrl.invoice.no"/></h1>
</form>

<form class="form">
    <div>Klient <input type="text" class="form-control" ng-model="ctrl.invoice.client"/></div>
</form>

<p>&nbsp;</p>

<table class="table table-bordered">

    <tr> <!-- nagłówek tabeli -->
        <td>
            #
        </th>
        <th style="width: 50%;">
            Nazwa
        </th>
        <th>
            Cena
        </th>
        <th>
            Ilość
        </th>
        <th style="width: 7em;">
            VAT
        </th>
        <th>
            Wartość
        </th>
        <th style="width: 7em;">
            &nbsp;
        </th>
    </tr>
    </tr>

    <tr ng-repeat="row in ctrl.invoice.list"> <!-- wiersze faktury -->
        <td style="text-align: right;">
            <span ng-bind="$index + 1"></span>
        </td>
        <td>
            <span ng-bind="row.name" ng-if="!row.edited"></span>
            <input type="text" class="form-control" ng-model="ctrl.editedRow.name" ng-if="row.edited">
        </td>
        <td style="text-align: right;">
            <span ng-bind="row.price | number:2" ng-if="!row.edited"></span>
            <input type="number" min="0" class="form-control" ng-model="ctrl.editedRow.price" ng-if="row.edited">
        </td>
        <td style="text-align: right;">
            <span ng-bind="row.quantity | number:3" ng-if="!row.edited"></span>
            <input type="number" min="0" class="form-control" ng-model="ctrl.editedRow.quantity" ng-if="row.edited">
        </td>
        <td style="text-align: right;">
            <span ng-bind="row.vat + '%'" ng-if="!row.edited"></span>
            <select class="form-control" ng-model="ctrl.editedRow.vat" ng-options="vat.percent as vat.label for vat in ctrl.vats" ng-if="row.edited"></select>
        </td>
        <td style="text-align: right;">
            <span ng-bind="ctrl.getValue(row) | number:2" ng-if="!row.edited"></span>
            <span ng-bind="ctrl.getValue(ctrl.editedRow) | number:2" ng-if="row.edited"></span>
        </td>
        <td>
            <!-- wiersz nie w trybie edycji -->
            <button class="btn btn-success fa fa-edit" ng-click="ctrl.startEditingRow($index)" ng-disabled="ctrl.editState || ctrl.editNewState" ng-if="!row.edited"></button>                    
            <button class="btn btn-danger fa fa-minus" ng-click="ctrl.delRow($index)" ng-disabled="ctrl.editState || ctrl.editNewState" ng-if="!row.edited"></button>                    
            <!-- wiersz w trybie edycji -->
            <button class="btn btn-success fa fa-check" ng-click="ctrl.endEditingRow($index)" ng-if="row.edited" ng-disabled="!ctrl.editedRow.name || ctrl.getValue(ctrl.editedRow) <= 0"></button>                    
            <button class="btn btn-warning fa fa-times" ng-click="ctrl.cancelEditingRow($index)" ng-if="row.edited"></button>                    
        </td>
    </tr>

    <tr> <!-- stopka tabeli/formularz nowego wiersza -->
        <td>
            &nbsp;
        </td>
        <td>
            <input type="text" class="form-control" ng-model="ctrl.newRow.name" ng-disabled="!ctrl.editNewState">
        </td>
        <td>
            <input type="number" min="0" class="form-control" ng-model="ctrl.newRow.price" ng-disabled="!ctrl.editNewState">
        </td>
        <td>
            <input type="number" min="0" class="form-control" ng-model="ctrl.newRow.quantity" ng-disabled="!ctrl.editNewState">
        </td>
        <td>
            <select class="form-control" ng-model="ctrl.newRow.vat" ng-options="vat.percent as vat.label for vat in ctrl.vats" ng-disabled="!ctrl.editNewState"></select>
        </td>
        <td style="text-align: right;">
            <span ng-bind="ctrl.getValue(ctrl.newRow) | number:2" ng-if="ctrl.editNewState"></span>
        </td>
        <td>
            <button class="btn btn-success fa fa-plus" ng-click="ctrl.editNewState = true" ng-disabled="ctrl.editState" ng-if="!ctrl.editNewState"></button>
            <button class="btn btn-danger fa fa-trash-o" ng-click="ctrl.zero()" ng-disabled="ctrl.invoice.list.length == 0 || ctrl.editState || ctrl.editNewState" ng-if="!ctrl.editNewState"></button>
            <button class="btn btn-success fa fa-check" ng-click="ctrl.addNewRow()" ng-disabled="!ctrl.newRow.name || ctrl.getValue(ctrl.newRow) <= 0" ng-if="ctrl.editNewState"></button>
            <button class="btn btn-warning fa fa-times" ng-click="ctrl.editNewState = false" ng-if="ctrl.editNewState"></button>
        </td>
    </tr>

    <tr> <!-- wiersz z wartością całkowitą -->
        <td colspan="5">
            <form class="form form-inline">
                <label>Zaksięgowana
                    <input type="checkbox" class="form-control" ng-model="ctrl.invoice.status" ng-true-value="1" ng-false-value="0"/>
                </label>
            </form>
        </td>
        <td style="text-align: right;">
            <span style="font-weight: bold; font-size: larger;" ng-bind="ctrl.getInvoiceValue(row) | number:2"></span>
        </td>
        <td>
            <button class="btn btn-success fa fa-save" ng-click="ctrl.save()" ng-disabled="!ctrl.invoice.no || ctrl.invoice.list.length == 0 || ctrl.editState || ctrl.editNewState"></button>
            <button class="btn btn-danger fa fa-trash" ng-click="ctrl.delete()" ng-disabled="!ctrl.invoice.no || ctrl.editState || ctrl.editNewState"></button>
        </td>
    </tr>
    
</table>